> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/describevminventorycapacity.md).

# DescribeVmInventoryCapacity

## 1. API Description

This API (DescribeVmInventoryCapacity) is used to Obtain the inventory of the available zones.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description           |
| -------------- | -------- | ------ | --------------------- |
| zoneId         | No       | String | Availability Zone ID. |

## 3. Output Parameters

| Parameter Name | Type                                                                                                   | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                                 | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| dataSet        | Array of [VmInventoryCapacityInfo](/api-reference/compute/vm/datastructure.md#vminventorycapacityinfo) | Available zone inventory set.                                                                                         |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
\*\*1. Obtain the inventory of the available zones. \*\*

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeVmInventoryCapacity
<Common Request Params>

Request：
{
    "zoneId": "<zoneId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "dataSet": [
      {
        "zoneId": "LAX-Z",
        "capacity": "STANDARD"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
